Package org.apache.wiki.search

## Class QueryItem

- java.lang.Object
- - org.apache.wiki.api.search.QueryItem
  - - org.apache.wiki.search.QueryItem

    @Deprecated
    public class QueryItem
    extends QueryItem

Deprecated.
- use `QueryItem` instead
This simple class just fulfils the role of a container for searches. It tells the word and whether it is requested or not.

See Also:
  `QueryItem`

### Field Summary

### Fields inherited from class org.apache.wiki.api.search.QueryItem

`FORBIDDEN, REQUESTED, REQUIRED, type, word`

### Constructor Summary

Constructors
`QueryItem()` Deprecated.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryItem

    public QueryItem()

Deprecated.